package Net::Async::Spotify::API::Browse;

use strict;
use warnings;

our $VERSION = '0.002'; # VERSION
our $AUTHORITY = 'cpan:VNEALV'; # AUTHORITY

use mro;
use parent qw(Net::Async::Spotify::API::Generated::Browse);

=encoding utf8

=head1 NAME

Net::Async::Spotify::API::Browse - Package representing Main Spotify Browse API

=head1 DESCRIPTION

Main module for an Autogenerated one L<Net::Async::Spotify::API::Generated::Browse>.
Will hold all extra functionality for Spotify Browse API

=head1 METHODS

=cut

sub new {
    my $self  = (shift)->next::method(@_);
    $self->mapping->{get_recommendation_genres}{response} = ['RecommendationSeed'];
    $self->mapping->{get_recommendations}{response} = ['Recommendations'];
    return $self;
}

1;
