package Net::Async::Spotify::Object::Generated::SavedEpisode;

use strict;
use warnings;

our $VERSION = '0.002'; # VERSION
our $AUTHORITY = 'cpan:VNEALV'; # AUTHORITY

use mro;
use parent qw(Net::Async::Spotify::Object::Base);

=encoding utf8

=head1 NAME

Net::Async::Spotify::Object::Generated::SavedEpisode - Package representing Spotify SavedEpisode Object

=head1 DESCRIPTION

Autogenerated module.
Based on https://developer.spotify.com/documentation/web-api/reference/#objects-index
Check C<crawl-api-doc.pl> for more information.

=head1 PARAMETERS

Those are Spotify SavedEpisode Object attributes:

=over 4

=item added_at

Type:Timestamp
Description:The date and time the episode was saved.
Timestamps are returned in ISO 8601 format as Coordinated Universal Time (UTC) with a zero offset: YYYY-MM-DDTHH:MM:SSZ.

=item episode

Type:EpisodeObject
Description:Information about the episode.

=back

=cut

sub new {
    my ($class, %args) = @_;

    my $fields = {
        added_at => 'Timestamp',
        episode => 'EpisodeObject',
    };

    my $obj = next::method($class, $fields, %args);

    return $obj;
}

1;
